import store from '../store'

function directive(app) {
    app.directive('isPermission', {
        mounted(el, binding) {
            if (binding.value) {
                const thisRouter: any = store.state.activeTag
                const currentBtnList = store.state.authority[thisRouter]
                if (currentBtnList && currentBtnList[binding.value] === false) {
                    el.remove()
                }
            }
        },
    })
}
export { directive }
