//页面上点击交互
const paginationFn = (
    getListFn = () => {},
    paginationData = { pageNo: 1, pageSize: 10, total: 0 }
) => {
    //点击页码时
    const pageChange = (e) => {
        paginationData.pageNo = e.page
        getListFn()
    }
    //点击页码时
    const onShowSizeChange = (e) => {
        paginationData.pageNo = 1
        paginationData.pageSize = e.size
        getListFn()
    }
    const updateTotal = (e) => {
        paginationData.total = e
    }
    return {
        paginationData: paginationData,
        pageChange, //点击页码时
        onShowSizeChange, //修改每页有几条时
        updateTotal, //更新总数
    }
}

export { paginationFn }
