function ruleCheck(modalData) {
    //开关 等数据全部循环过后 全部通过必填项和规则校验 ifMust依然是true 则通过此次规则保存按钮
    let ifMust = true
    for (const item in modalData) {
        //去除首尾空格
        if (typeof modalData[item].value == 'string') {
            modalData[item].value.trim()
        }

        //判断是不是必填项 并且 必填项里有值或者数组不等于空的时候进入
        if (
            modalData[item].isRequire &&
            (modalData[item].precondition ? modalData[item].precondition(modalData) : true) &&
            (!modalData[item].value ||
                (Array.isArray(modalData[item].value) ? modalData[item].value.length === 0 : false))
        ) {
            modalData[item].info = `请填写${modalData[item].name}`
            ifMust = false
            continue
            //等于空直接跳出此次循环 不进行规则校验
        }

        if (!modalData[item].isRequire && !modalData[item].value) {
            continue
        }

        if (modalData[item].rule && !modalData[item].rule(modalData[item], modalData)) {
            //通过必填项校验后进行规则校验 当有规则并且规则为true时 通过校验
            ifMust = false
        }
    }

    return ifMust
}

function ruleCancel(modalData) {
    for (const item in modalData) {
        modalData[item].info = null
        modalData[item].value = null
        modalData[item].id = null
    }
}

export { ruleCheck, ruleCancel }
