function tableSorter(params) {
    for (const item of params) {
        if (item.sortOrder) {
            return {
                order: item.key,
                orderRule: item.sortOrder.substring(0, item.sortOrder.length - 3).toUpperCase(),
            }
        }
    }
    return {
        order: '',
        orderRule: '',
    }
}

export { tableSorter }
