import { ref, reactive } from 'vue'

//初始化声明数据
const initDataFn = () => {
    //是否需要验证码
    const codeImage: any = ref(false)

    //页面from的校验规则
    const formRules: any = reactive({
        account: [
            { min: 2, max: 12, message: '账号为2-16位', trigger: 'blur' },
            { required: true, message: '请输入用户名', trigger: 'blur' },
        ],
        password: [
            { min: 5, max: 16, message: '密码为5-16位', trigger: 'blur' },
            { required: true, message: '请输入密码', trigger: 'blur' },
        ],
        code: [],
    })

    const formData = reactive({
        account: '',
        password: '',
        code: '',
        autoLogin: false,
    })

    const formState = reactive({
        loading: false,
    })
    return { codeImage, formRules, formData, formState }
}

export { initDataFn }
