const LOGIN = 'f/'
const COMMONLY = 'b/core/'

const apiList = {
    //是否开启验证码服务
    isEnabledVerificationCode: LOGIN + 'isEnabledVerificationCode',

    getVersion: LOGIN + 'sys/version',
    //生成验证码图片
    refreshCode: LOGIN + 'refreshCode',
    //登录
    account: 'auth/login/account',
    //获取左侧导航菜单
    sidebar: COMMONLY + 'menu/sidebar',
    //修改当事人密码
    password: COMMONLY + 'user/password',
    //获取当前登录用户明细
    info: COMMONLY + 'user/info',
    //获取当前用户菜单内按钮列表
    button: COMMONLY + 'menu/button',

    // 角色 role

    //获取角色
    getRole: COMMONLY + 'role/page',
    //修改角色详情 PUT 新增角色 POST
    role: COMMONLY + 'role',
    //挂起角色
    roleForbidden: COMMONLY + 'role/forbidden',

    // 菜单 menu

    //获取不带按钮的菜单树
    tree: COMMONLY + 'menu/tree',
    //增加POST 删除菜单DELETE  显示隐藏菜单PUT
    menu: COMMONLY + 'menu',
    //获取菜单树 带搜索
    organizationTree: COMMONLY + 'menu/organizationTree',
    //获取菜单树 带按钮
    buttonTree: COMMONLY + 'menu/buttonTree',
    //增加POST 删除菜单DELETE  显示隐藏菜单PUT
    menuForbidden: COMMONLY + 'menu/forbidden',
    //增加POST 删除菜单DELETE  显示隐藏菜单PUT
    menuSort: COMMONLY + 'menu/menuSort',

    // 部门 department

    //organizationName=技术部
    organization: COMMONLY + 'organization',
    //获取部门列表下的人员详细信息
    orgNameAndUserList: COMMONLY + 'organization/orgNameAndUserList',
    //反显接口
    details: COMMONLY + 'organization/details',
    //排序
    sort: COMMONLY + 'organization/sort',

    // 用户

    //用户管理 无分页
    userList: COMMONLY + 'user/list',
    //分页
    userPage: COMMONLY + 'user/page',
    //增加用户 POST 修改PUT 删除delete 查询 get
    user: COMMONLY + 'user',
    //禁用用户
    userForbidden: COMMONLY + 'user/forbidden',
    //获取角色
    roleList: COMMONLY + 'role/list',

    //全局参数

    //获取全局参数的列表
    globalParamListPage: COMMONLY + 'globalParam/globalParamListPage',
    //增加全局参数的列表
    addGlobalParam: COMMONLY + 'globalParam/addGlobalParam',
    //增加全局参数的列表
    updateGlobalParam: COMMONLY + 'globalParam/updateGlobalParam',
    //增加全局参数的列表
    deleteGlobalParam: COMMONLY + 'globalParam/deleteGlobalParam',

    //字典

    //查 pageSize dictName description
    dictDefineListPage: COMMONLY + 'dictValue/dictDefineListPage',
    //增 dictName description
    addDictDefine: COMMONLY + 'dictValue/addDictDefine',
    //改 dictName description
    updateDictDefine: COMMONLY + 'dictValue/updateDictDefine',
    //删
    deleteDictDefine: COMMONLY + 'dictValue/deleteDictDefine',

    // 字典详情

    //查 dictName dictCode dictValue sortId
    addValue: COMMONLY + 'dictValue/addValue',
    //改 type title properties
    updateValue: COMMONLY + 'dictValue/updateValue',
    //删 /14
    deleteValue: COMMONLY + 'dictValue/deleteValue',
    //查 ?dictName=backupType
    dictValueList: COMMONLY + 'dictValue/dictValueList',

    //数据库备份

    //获取数据库备份列表
    dbBackupPage: COMMONLY + 'dbBackup/page',
    //手动更新数据库
    manual: COMMONLY + 'dbBackup/manual',

    //日志管理

    //获取日志列表
    logListPage: COMMONLY + 'log/logListPage',
    //导出日志列表
    downLoad: COMMONLY + 'log/downLoad',
}

export { apiList }
