import {
    Menu,
    Modal,
    Select,
    Input,
    Form,
    Col,
    Row,
    Table,
    Button,
    Tree,
    TreeSelect,
    Radio,
    Checkbox,
    Tabs,
    Popover,
    Dropdown,
    Spin,
    message,
    Divider,
    Popconfirm,
    Tag,
    Card,
    DatePicker,
    Empty,
} from 'ant-design-vue'
import * as antIcons from '@ant-design/icons-vue'

function globalComponents(app) {
    message.config({
        duration: 2,
        maxCount: 1,
    })
    const antIconsOne: any = antIcons
    // 注册组件
    Object.keys(antIcons).forEach((key) => {
        app.component(key, antIconsOne[key])
    })

    app.config.globalProperties.$antIcons = antIcons

    app.use(Menu)
        .use(Modal)
        .use(Tabs)
        .use(Select)
        .use(Input)
        .use(Checkbox)
        .use(Popover)
        .use(Radio)
        .use(Form)
        .use(Table)
        .use(Col)
        .use(Button)
        .use(Tree)
        .use(TreeSelect)
        .use(Card)
        .use(Row)
        .use(Dropdown)
        .use(Tag)
        .use(Spin)
        .use(Divider)
        .use(Popconfirm)
        .use(DatePicker)
        .use(Empty)
}

export { globalComponents }
