import { useRoute } from 'vue-router'
import { useStore } from 'vuex'
import { onActivated } from 'vue'

export function keepQuery() {
    onActivated(() => {
        console.log('onActivated')
        if (JSON.stringify(useRoute().query) == '{}') {
            //如果没有参数
            useStore().commit('readThisQuery', useRoute().name)
        } else {
            //如果有参数
            useStore().commit('saveQuery', {
                key: useRoute().name,
                query: useRoute().query,
            })
        }
    })
}
